org.eclipse.cdt.core.dom.ast

## Class ASTNodeProperty

- java.lang.Object
- - org.eclipse.cdt.core.dom.ast.ASTNodeProperty

    public class ASTNodeProperty
    extends Object

This interface represents a structural property in an IASTNode. This is used to determine the relationship between a child node and it's parent. This is especially important with rewrite since we need to understand how to properly replace the child in the source.

Restriction:
  This interface is not intended to be extended by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Constructor Summary

Constructors
Constructor and Description
`ASTNodeProperty(String n)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()` Each property has a name to help distinguish it from other properties of a node.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ASTNodeProperty

    public ASTNodeProperty(String n)

### Method Detail

#### getName

    public String getName()

Each property has a name to help distinguish it from other properties of a node.

Returns:
  the name of the property

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`